-- -*- haskell -*-
{
module Parser(parse) where

import Ast
import Scanner

}

%name parseTokens
%tokentype { Token }
%error { happyError }

%token
  entry             { Tok_Entry }

%%

StartSymbol :: { Entry }
  : entry                               { Entry "mumble" }

{

parse :: String -> Entry
parse input = parseTokens (alexScanTokens input)

happyError :: [Token] -> a
happyError _ = error "parse error"

}
