module Main(main) where

import Control.Monad
import System.Exit
import Test.HUnit

import Ast
import Parser

main :: IO ()
main =
  do c <- runTestTT tests
     when (errors c /= 0 || failures c /= 0)
       exitFailure

tests = parse "entry" ~?= Entry "mumble"

